summaryrefslogtreecommitdiffstats
path: root/system/ttf-computer-modern
diff options
context:
space:
mode:
author pomfland2018-11-08 12:08:14 +0100
committer Willy Sudiarto Raharjo2018-11-10 01:46:58 +0100
commit761d2f9ca67d27c4df6b3704d2359d8d33dd9a8b (patch)
tree2af1efe049501796a020c5972c21c5b5178d3df7 /system/ttf-computer-modern
parent7aa94410990b77926ebc61aa9a5ec111a17b7c0a (diff)
downloadslackbuilds-761d2f9ca67d27c4df6b3704d2359d8d33dd9a8b.tar.gz
system/ttf-computer-modern: Added (fonts for X applications).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/ttf-computer-modern')
-rw-r--r--system/ttf-computer-modern/README5
-rw-r--r--system/ttf-computer-modern/doinst.sh11
-rw-r--r--system/ttf-computer-modern/slack-desc19
-rw-r--r--system/ttf-computer-modern/ttf-computer-modern.SlackBuild67
-rw-r--r--system/ttf-computer-modern/ttf-computer-modern.info10
5 files changed, 112 insertions, 0 deletions
diff --git a/system/ttf-computer-modern/README b/system/ttf-computer-modern/README
new file mode 100644
index 0000000000..9b3a03408d
--- /dev/null
+++ b/system/ttf-computer-modern/README
@@ -0,0 +1,5 @@
+Computer Modern fonts are free, good quality fonts for use
+in X applications, supporting many languages.
+
+The version packaged with this script is released under
+OFL license.
diff --git a/system/ttf-computer-modern/doinst.sh b/system/ttf-computer-modern/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/ttf-computer-modern/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/ttf-computer-modern/slack-desc b/system/ttf-computer-modern/slack-desc
new file mode 100644
index 0000000000..98f7e5eaba
--- /dev/null
+++ b/system/ttf-computer-modern/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-computer-modern: ttf-computer-modern (good quality, free fonts for X applications)
+ttf-computer-modern:
+ttf-computer-modern: Computer Modern fonts are free, good quality fonts for use in X
+ttf-computer-modern: applications.
+ttf-computer-modern:
+ttf-computer-modern: Homepage: http://cm-unicode.sourceforge.net/
+ttf-computer-modern:
+ttf-computer-modern:
+ttf-computer-modern:
+ttf-computer-modern:
+ttf-computer-modern:
diff --git a/system/ttf-computer-modern/ttf-computer-modern.SlackBuild b/system/ttf-computer-modern/ttf-computer-modern.SlackBuild
new file mode 100644
index 0000000000..cf0a8e5e53
--- /dev/null
+++ b/system/ttf-computer-modern/ttf-computer-modern.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for ttf-computer-modern
+# $Id: ttf-computer-modern.SlackBuild,v 1.1 2018/11/08 10:47:56 pomf Exp pomf $
+
+# Copyright 2018 pomfland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ttf-computer-modern
+VERSION=${VERSION:-0.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=cm-unicode
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}-${VERSION}
+tar xvf $CWD/${SRCNAM}-${VERSION}-ttf.tar.xz
+cd ${SRCNAM}-${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp *.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar Changes INSTALL README TODO FAQ *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ttf-computer-modern/ttf-computer-modern.info b/system/ttf-computer-modern/ttf-computer-modern.info
new file mode 100644
index 0000000000..ef8207a25f
--- /dev/null
+++ b/system/ttf-computer-modern/ttf-computer-modern.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-computer-modern"
+VERSION="0.7.0"
+HOMEPAGE="http://cm-unicode.sourceforge.net"
+DOWNLOAD="https://downloads.sourceforge.net/project/cm-unicode/cm-unicode/0.7.0/cm-unicode-0.7.0-ttf.tar.xz"
+MD5SUM="8dc72a959ced139847f4160ff9413fd8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pomfland"
+EMAIL="pomfland@tfwno.gf"